Subject: Re: [bug#73660] [PATCH] gexp: Improve support of Unicode characters.

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Sat, 11 Jan 2025 19:09:55 +0100

Tomas Volf writes:

Hello Tomas,

> Janneke Nieuwenhuizen <[email-masked]> writes:
>
>> Would you like to also keep an eye out for how that works?
>
> It seems the evaluation failed, however I have no idea if that is due to
> my changes or not.  The first issue I see in the log seems to be:
>
> building of
> `/gnu/store/5qizz7ba86rd979xspsw3vi2xpg6gq7b-glibc-headers-mesboot-2.16.0.drv'
> timed out after 3600 seconds of silence

Ah.  I wondered why there was a big red cross instead of a lot of nice
green builds...

> For what it is worth, it fails to me locally as well, but with a
> different error:
>
> build of /gnu/store/n45z6cfa9i3jdh07q1ib6pcbll8j6jn7-libstdc++-boot0-4.9.4.drv failed
> View build log at '/var/log/guix/drvs/n4/5z6cfa9i3jdh07q1ib6pcbll8j6jn7-libstdc++-boot0-4.9.4.drv.gz'.
> cannot build derivation `/gnu/store/gai3hg9c8qb89qlz8fwrgpscmf74g6c8-gcc-cross-boot0-14.2.0.drv': 1 dependencies couldn't be built
> cannot build derivation `/gnu/store/f2di3rzlyqa2xsby7z197wsldvqixq0l-gcc-cross-boot0-wrapped-14.2.0.drv': 1 dependencies couldn't be built
>
>
> Which, looking into the log leads to:
>
> starting phase `patch-tzdb.cc'
> error: in phase 'patch-tzdb.cc': uncaught exception:
> system-error "mkstemp!" "~A" ("No such file or directory") (2) 
> phase `patch-tzdb.cc' failed after 0.0 seconds

Weird!  Oh wait, I removed guards around that stage.

core-packages-team-old has

--8<---------------cut here---------------start------------->8---
          #$@(if (target-hurd64?)
                 #~((add-after 'unpack 'patch-hurd64
                      (lambda _
                        (substitute* "libstdc++-v3/src/c++20/tzdb.cc"
                          (("#if ! defined _GLIBCXX_ZONEINFO_DIR")
                           "#if __GNU__ || ! defined _GLIBCXX_ZONEINFO_DIR")))))
                 '())
          #$@(if (and (target-x86-64?) (target-linux?)
                      (version>=? (package-version gcc) "14"))
                 #~((add-after 'unpack 'patch-x86_64-linux
                      (lambda _
                        (substitute* "libstdc++-v3/src/c++20/tzdb.cc"
                          (("#if ! defined _GLIBCXX_ZONEINFO_DIR")
                           "#if __x86_64__ || ! defined _GLIBCXX_ZONEINFO_DIR")))))
                 '())
          #$@(if (and (target-x86-32?) (target-linux?)
                      (version>=? (package-version gcc) "14"))
                 #~((add-after 'unpack 'patch-x86_64-linux
                      (lambda _
                        (substitute* "libstdc++-v3/src/c++20/tzdb.cc"
                          (("#if ! defined _GLIBCXX_ZONEINFO_DIR")
                           "#if __i386__ || __x86_64__ || ! defined _GLIBCXX_ZONEINFO_DIR")))))
                 '())
          #$@(if (and (target-linux?)
                      (not (target-x86-64?))
                      (not (target-x86-32?))
                      (version>=? (package-version gcc) "14"))
                 #~((add-after 'unpack 'patch-tzdb.cc
                      (lambda _
                        (substitute* "libstdc++-v3/src/c++20/tzdb.cc"
                          (("#if ! defined _GLIBCXX_ZONEINFO_DIR")
                           "#if 1 // ! defined _GLIBCXX_ZONEINFO_DIR")))))
                 '()))
--8<---------------cut here---------------end--------------->8---

and the new core-packages-team has

--8<---------------cut here---------------start------------->8---
          (add-after 'unpack 'patch-tzdb.cc
            (lambda _
              (substitute* "libstdc++-v3/src/c++20/tzdb.cc"
                (("#if ! defined _GLIBCXX_ZONEINFO_DIR")
                 "#if 1 // ! defined _GLIBCXX_ZONEINFO_DIR")))))
--8<---------------cut here---------------end--------------->8---

ow, there it already is.  Silly me, we need the gcc-14 guard.  I was so
happy all systems seemed to need the same code that I also removed the
check for gcc-14.

> I am not sure this is caused by my changes.  When I revert the commit:

Certainly not!  But thanks for trying!

[..]

> Any ideas?

Meanwhile, because it seemed the build farm stopped working for me, I
started to build myself again and currently have

--8<---------------cut here---------------start------------->8---
successfully built /gnu/store/5qizz7ba86rd979xspsw3vi2xpg6gq7b-glibc-headers-mesboot-2.16.0.drv
successfully built /gnu/store/91212rdl4cn4rr8aqfrbilxagmx9fwj3-glibc-mesboot-2.16.0.drv
successfully built /gnu/store/5a0bd35brzf1sgnw10slaxipmxa3cafn-gcc-mesboot1-wrapper-4.6.4.drv
--8<---------------cut here---------------end--------------->8---

so I didn't see this problem yet.  I've pushed a squash! commit that
should fix this.  Thanks!

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com